%define lang en
%define langrelease 0
Summary: English dictionaries for Aspell.
Name: aspell-%{lang}
Epoch: 50
Version: 6.0
Release: 3
License: distributable
Group: Applications/Text
URL: http://aspell.net/
Source: ftp://ftp.gnu.org/gnu/aspell/dict/%{lang}/aspell5-%{lang}-%{version}-%{langrelease}.tar.bz2
Source1: en-profanity.cwl
Patch0: aspell-en-6.0-offencive.patch
Patch1: aspell-en-6.0-practise.patch
Patch2: aspell-en-6.0-profanity.patch
Buildrequires: aspell >= 12:0.60
Requires: aspell >= 12:0.60
Obsoletes: aspell-en-gb, aspell-en-ca, 
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%define debug_package %{nil}

%description
Provides the word list/dictionaries for the following: English, Canadian
English, British English

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n aspell5-%{lang}-%{version}-%{langrelease}
%patch0 -p0 -b .off
%patch1 -p0 -b .prac
word-list-compress -d < en-common.cwl > en-common.wl
%patch2 -p1 -b .profanity
word-list-compress -c < en-common.wl > en-common.cwl
rm -f en-common.wl
cp %{SOURCE1} .

%build
echo "ASPELL = aspell" > Makefile
echo "DEST_DIR = $RPM_BUILD_ROOT" >> Makefile
echo "PREZIP = word-list-compress" >> Makefile
echo "dictdir = ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60" >> Makefile
echo "datadir = ${RPM_BUILD_ROOT}%{_libdir}/aspell-0.60" >> Makefile
cat Makefile.pre >> Makefile
make

%install
make install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)

%{_libdir}/aspell-0.60/*
#%{_datadir}/aspell/*

%changelog
* Thu May 10 2012 Peter Schiffer <pschiffe@redhat.com> - 50:6.0-3
- resolves: #562286
  moves profanity from main dictionary en-common to en-complete

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 50:6.0-2.1
- rebuild

* Fri Mar  3 2006 Ivana Varekova <varekova@redhat.com> - 50:6.0-2
- removed "offencive" (#154352), add "practice" (#62225)

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 50:6.0-1.2.1
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 50:6.0-1.2
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Mon Jul 18 2005 Ivana Varekova <varekova@redhat.com> 50:6.0-1
- update to aspell5-en-6.0
- build with aspell-0.60.3

* Mon Apr 11 2005 Ivana Varekova <varekova@redhat.com> 50:0.51-12
- rebuilt

* Wed Sep 29 2004 Adrian Havill <havill@redhat.com> 50:0.51-11
- remove debuginfo

* Thu Aug 26 2004 Adrian Havill <havill@redhat.com> 50:0.51-10
- obsolete -en-gb and -en-ca for upgrades

* Wed Aug 11 2004 Adrian Havill <havill@redhat.com> 50:0.51-9
- sync epoch with other aspell dicts, upgrade to 0.51-1

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Jun 23 2003 Adrian Havill <havill@redhat.com> 0.51-6
- data files are not arch independent

* Fri Jun 20 2003 Adrian Havill <havill@redhat.com> 0.51-5
- first build for new aspell (0.50)
